Bug 1894679 (CVE-2020-27761) - CVE-2020-27761 ImageMagick: outside the range of representable values of type 'unsigned long' at coders/palm.c
Summary: CVE-2020-27761 ImageMagick: outside the range of representable values of type...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-27761
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1901267 1901268 1910544
Blocks: 1891602
TreeView+ depends on / blocked
 
Reported: 2020-11-04 18:56 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-15 20:47 UTC (History)
7 users (show)

Fixed In Version: ImageMagick 7.0.9-0
Doc Type: If docs needed, set a value
Doc Text:
WritePALMImage() in /coders/palm.c used size_t casts in several areas of a calculation which could lead to values outside the range of representable type `unsigned long` undefined behavior when a crafted input file was processed by ImageMagick. The patch casts to `ssize_t` instead to avoid this issue.
Clone Of:
Environment:
Last Closed: 2020-11-24 23:34:50 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-11-04 18:56:31 UTC
In ImageMagick, there are three outside the range of representable values of type 'unsigned long' at coders/palm.c.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1726

Upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/db5e12e24f1378ce8c93a5c35991dcdd23a67bb0

Comment 1 Guilherme de Almeida Suckevicz 2020-11-04 18:56:33 UTC
Acknowledgments:

Name: Suhwan Song (Seoul National University)

Comment 2 Todd Cullum 2020-11-04 20:46:14 UTC
Flaw summary:

WritePALMImage() in /coders/palm.c used size_t casts in several areas of a calculation which could lead to values outside the range of representable type `unsigned long` undefined behavior when a crafted input file was processed by ImageMagick. The patch casts to `ssize_t` instead to avoid this issue. Red Hat Product Security marked the Severity as Low because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.

Comment 4 Guilherme de Almeida Suckevicz 2020-11-24 19:23:35 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1901267]
Affects: fedora-all [bug 1901268]

Comment 5 Product Security DevOps Team 2020-11-24 23:34:50 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27761

Comment 7 Eric Christensen 2021-02-15 20:47:47 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 5, 6, and 7. Inkscape is not affected because it no longer uses a bundled ImageMagick in Red Hat Enterprise Linux 8. For more information regarding support scopes, please see https://access.redhat.com/support/policy/updates/errata.

Red Hat Product Security marked the Severity as Low because although it could potentially lead to an impact to application availability, no specific impact was shown in this case.


Note You need to log in before you can comment on or make changes to this bug.